/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { MoneyFlowIndexIndicatorStrategy } from "./MoneyFlowIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let MoneyFlowIndexIndicator = /*@__PURE__*/ (() => {
    class MoneyFlowIndexIndicator extends StrategyBasedIndicator {
        constructor() {
            super();
        }
        bb() {
            return new MoneyFlowIndexIndicator();
        }
        get_zh() {
            return 1;
        }
        get_aaa() {
            return new MoneyFlowIndexIndicatorStrategy();
        }
        get aaa() {
            return this.get_aaa();
        }
        get_aan() {
            return MoneyFlowIndexIndicator.$;
        }
        get aan() {
            return this.get_aan();
        }
        get aav() {
            return typeGetValue(this.c(MoneyFlowIndexIndicator.aaw));
        }
        set aav(a) {
            this.h(MoneyFlowIndexIndicator.aaw, a);
        }
        aag() {
            return this.aav;
        }
        aap(a) {
            this.aav = a;
        }
    }
    MoneyFlowIndexIndicator.$t = markType(MoneyFlowIndexIndicator, 'MoneyFlowIndexIndicator', StrategyBasedIndicator.$);
    MoneyFlowIndexIndicator.aaw = StrategyBasedIndicator.aas(14, MoneyFlowIndexIndicator.$);
    return MoneyFlowIndexIndicator;
})();
